POST /me/onenote/pages/{id}/copyToSection
POST /users/{id | userPrincipalName}/onenote/pages/{id}/copyToSection
POST /groups/{id}/onenote/pages/{id}/copyToSection
POST /sites/{id}/onenote/pages/{id}/copyToSection
请求标头
名称
类型
说明
Authorization
string
Bearer {token}。必需。
Content-Type
string
application/json
请求正文
在请求正文中,提供包含操作所需的参数的 JSON 对象。
参数
类型
说明
siteCollectionId
字符串
要复制到的 SharePoint 网站的 ID。 仅在复制到 SharePoint 网站时使用。
siteId
字符串
要复制到的 SharePoint Web 的 ID。 仅在复制到 SharePoint 网站时使用。
POST https://graph.microsoft.com/beta/me/onenote/pages/{id}/copyToSection
Content-type: application/json
{
"id": "id-value",
"groupId": "groupId-value"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var id = "id-value";
var groupId = "groupId-value";
await graphClient.Me.Onenote.Pages["{onenotePage-id}"]
.CopyToSection(id,groupId,null,null)
.Request()
.PostAsync();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.New()
id := "id-value"
requestBody.SetId(&id)
groupId := "groupId-value"
requestBody.SetGroupId(&groupId)
onenotePageId := "onenotePage-id"
result, err := graphClient.Me().Onenote().PagesById(&onenotePageId).CopyToSection(onenotePage-id).Post(requestBody)
Import-Module Microsoft.Graph.Users.Actions
$params = @{
Id = "id-value"
GroupId = "groupId-value"
}
# A UPN can also be used as -UserId.
Copy-MgUserOnenotePageToSection -UserId $userId -OnenotePageId $onenotePageId -BodyParameter $params